<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <IsPackable>false</IsPackable>
  </PropertyGroup>
  <ItemGroup>
    <PackageReference Include="nunit" />
    <PackageReference Include="NUnit3TestAdapter">
      <PrivateAssets>all</PrivateAssets>
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.NET.Test.Sdk" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Properties\" />
  </ItemGroup>
  <ItemGroup>
    <TestFiles Include="$(SolutionDir)\resources\test\**\*.*" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\SdmxAPI\SdmxAPI.csproj" />
    <ProjectReference Include="..\SdmxQueryBuilder\SdmxQueryBuilder.csproj" />
    <ProjectReference Include="..\SdmxSourceUtil\SdmxSourceUtil.csproj" />
  </ItemGroup>
  <Target Name="CopyCustomContent" AfterTargets="AfterBuild">
    <Message Text="Copying test files from $(SolutionDir)\resources\test to $(OutputPath)" />
    <Copy SourceFiles="@(TestFiles)" DestinationFolder="$(OutputPath)\%(RecursiveDir)" UseHardlinksIfPossible="true" SkipUnchangedFiles="true" />
  </Target>
</Project>
